curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/people \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Tim Cook",
"employers": [
"Apple Inc."
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/people"
payload = {
"query": "Tim Cook",
"employers": ["Apple Inc."]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Tim Cook', employers: ['Apple Inc.']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "6BD43B",
"name": "Tim Cook",
"description": "Timothy Donald Cook (born on the 1st of October 1960) is an American business executive who has been serving as the CEO of Apple Inc. since August 2011, succeeding Steve Jobs.",
"position": "Chief Executive Officer",
"employer": "Apple Inc.",
"nationality": "American",
"gender": "Male",
"short_description": "CEO of Apple"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Find by details
Find people such as executives, politicians and public figures. Search by name or description and narrow the results by position, employer, nationality or gender.
Authorizations
Body
Request body for finding people. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/people/values/{filter}.
Text query to search for people by name or description. Examples: 'Tim Cook', 'Christine Lagarde'
"Tim Cook"
Positions, as published in the position field of results (e.g., 'Chief Executive Officer')
["Chief Executive Officer"]
Employers, as published in the employer field of results (e.g., 'Apple Inc.')
["Apple Inc."]
Nationalities, as published in the nationality field of results (e.g., 'American')
["American"]
Genders, as published in the gender field of results (e.g., 'Male', 'Female')
["Male"]
Response
Successful response with people data
Was this page helpful?